subfaixbox8_param Struct Reference

8byte parameters of fragment array index box More...

`#include <faixbox_manager.h>`

## Data Fields

Byte8_t | nmax
| maximum number of valid elements in any row of the array
Byte8_t | m
| number of raws of the array
faixelem8_param_t * | elem
| dynamic array pointer of faix elements
Byte4_t * | aux
| dynamic array pointer of auxiliary

## Detailed Description

8byte parameters of fragment array index box

## Field Documentation

## aux

Byte4_t* subfaixbox8_param::aux

dynamic array pointer of auxiliary

Referenced by gene_faixbox(), and get_elemAux().

## elem

faixelem8_param_t* subfaixbox8_param::elem

dynamic array pointer of faix elements

Referenced by gene_faixbox(), get_elemLen(), and get_elemOff().

## m

Byte8_t subfaixbox8_param::m

number of raws of the array

Referenced by gene_faixbox(), and get_m().

## nmax

Byte8_t subfaixbox8_param::nmax

maximum number of valid elements in any row of the array

Referenced by gene_faixbox(), and get_nmax().

The documentation for this struct was generated from the following file:

- faixbox_manager.h